



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>haproxy 配置</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">haproxy 配置</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-02-03 14:24:25 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p><strong>1、环境：</strong><br />     操作系统：CentOS  6.4<br />     haproxy： 1.3.15.10 [下载：http://download.chinaunix.net/download.php?id=25784&amp;ResourceID=12508]<br />     服务器IP: 10.5.24.51</p>
<p>修改HOST，添加如下配置<br />10.5.24.51 w1.rhythmk.com<br />10.5.24.51 w2.rhythmk.com</p>
<p><strong>2、安装</strong></p>
<div>
<pre class="prettyprint linenums">  tar -zxvf  haproxy-1.3.15.10.tar.gz<br />
   mv haproxy-1.3.15.10  haproxy<br />
   cd haproxy<br />
   make TARGET=linux26 PREFIX=/usr/local/haproxy<br />
   make install PREFIX=/usr/local/haproxy
</pre>
</div>
<p>　　&nbsp; 默认安装后，/usr/local/haproxy/conf 路径是没有haproxy.cfg配置 ，添加配置文件如下：</p>
<div>
<pre class="prettyprint linenums">global<br />
    maxconn 51200<br />
    chroot /usr/local/haproxy<br />
    uid 99<br />
    gid 99<br />
    daemon<br />
    #quiet<br />
    nbproc 1<br />
    pidfile /usr/local/haproxy/logs/haproxy.pid

defaults<br />
        mode http<br />
        #retries 2<br />
        option redispatch<br />
        option abortonclose<br />
        timeout connect 5000ms<br />
        timeout client 30000ms<br />
        timeout server 30000ms<br />
        #timeout check 2000<br />
        log 127.0.0.1 local0 err #[err warning info debug]<br />
        balance roundrobin<br />
# option httplog<br />
# option httpclose<br />
# option dontlognull<br />
# option forwardfor

listen admin_stats<br />
        bind 0.0.0.0:8888<br />
        option httplog<br />
        stats refresh 30s<br />
        stats uri /stats<br />
        stats realm Haproxy Manager<br />
        stats auth admin:admin

frontend rhythmk.com<br />
    bind 0.0.0.0:80<br />
    option httpclose 

    ##  hdr_reg 采用正则匹配对应请求域名 ，进行映射<br />
    ##  hdr_dom 全相等匹配域名 进行映射

    acl w1.rhythmk    hdr_dom(host) -i w1.rhythmk.com<br />
    use_backend w1.rhythmk.com if w1.rhythmk

    acl w2.rhythmk    hdr_reg(host) -i w2.rhythmk.com<br />
    use_backend w2.rhythmk.com if w2.rhythmk

######## web1 ##############<br />
backend w1.rhythmk.com<br />
    mode    http<br />
    balance roundrobin<br />
    appsession 9ai9 len 64 timeout 5h request-learn<br />
    balance roundrobin<br />
    #cookie LOGONCOOKIE insert nocache<br />
    #option httpchk GET /index.php<br />
    # 端口 92xx 为主干，93xx 为分支1(dev)，94xx 为分支2(branch2)<br />
    server w1.rhythmk  127.0.0.1:6055  check inter 10000 rise 3 fall 3 weight 100

######## web2 ##############<br />
backend w2.rhythmk.com<br />
    mode    http<br />
    balance roundrobin<br />
    appsession 9ai9 len 64 timeout 5h request-learn<br />
    balance roundrobin<br />
    #cookie LOGONCOOKIE insert nocache<br />
    #option httpchk GET /index.php<br />
    server w2.rhythmk  127.0.0.1:6056  check inter 10000 rise 3 fall 3 weight 100   
</pre>
</div>
<p>　　&nbsp;添加启动脚本 restart.sh：</p>
<div>
<pre class="prettyprint linenums">#!/bin/bash

pkill -9 haproxy<br />
dirpath=/usr/local/haproxy

$dirpath/sbin/haproxy -f $dirpath/conf/haproxy.cfg
</pre>
</div>
<p>　　&nbsp; 为 restart.sh 添加执行权限。启动haproxy</p>
<p>3、验证：</p>
<p>已经配置好的站点 :</p>
<p>w1站点：</p>
<p><img referrerpolicy="no-referrer"src="https://images2015.cnblogs.com/blog/43766/201603/43766-20160318160224662-1295501506.jpg" /></p>
<p>w2站点：</p>
<p><img referrerpolicy="no-referrer"src="https://images2015.cnblogs.com/blog/43766/201603/43766-20160318160320303-718367425.jpg" /></p>
<p>浏览地址：</p>
<p>http://10.5.24.51:8888/stats</p>
<p><img referrerpolicy="no-referrer"src="https://images2015.cnblogs.com/blog/43766/201603/43766-20160318160406037-1890690604.jpg" /></p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/o8odj5qz.html">FullCalendar应用&mdash;&mdash;整合农历节气和节日</a>
		</li>
						<li><a href="https://www.batexi.com/a/4qndejg8.html">在Salesforce中为Object创建Master-Detail（Child-Relationship）关联关系</a>
		</li>
						<li><a href="https://www.batexi.com/a/5qylk0g8.html">winrt 真正的绑定任意命令</a>
		</li>
						<li><a href="https://www.batexi.com/a/e9pyr179.html">Effective C&plus;&plus; -----条款36：绝不重新定义继承而来的non-virtual函数</a>
		</li>
						<li><a href="https://www.batexi.com/a/49gvpx49.html">MyEclipse常用设置</a>
		</li>
						<li><a href="https://www.batexi.com/a/xq40xy08.html">codeforces Restore Cube（暴力枚举）</a>
		</li>
						<li><a href="https://www.batexi.com/a/8e1e4xz9.html">yii框架中保存第三方登录信息</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwddnd38.html">LTIB常用命令2</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1zrv349.html">cocoapods的安装及注意事项</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxn2w7z8.html">DownLoadFile  - FileHandler</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1zle229.html">LA 2218 &lpar;半平面交&rpar; Triathlon</a>
		</li>
						<li><a href="https://www.batexi.com/a/95x2w7z8.html">java 中解析xml的技术</a>
		</li>
						<li><a href="https://www.batexi.com/a/8mng446q.html">&lbrack;UI&rsqb;抽屉菜单DrawerLayout分析（三）</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gmnmol9.html">java 操作配置文件 &period;properties</a>
		</li>
						<li><a href="https://www.batexi.com/a/9jz152l8.html">iOS 开发之Target-action模式</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv1nm01q.html">matlab获取文件夹中的所有文件名（dir）</a>
		</li>
						<li><a href="https://www.batexi.com/a/qnjpnxj8.html">【转】iPython入门技巧</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxdw11z9.html">策略模式在ThreadpoolExecutor中的应用</a>
		</li>
						<li><a href="https://www.batexi.com/a/93wwpywq.html">原生AJAX（包括Fetch）</a>
		</li>
						<li><a href="https://www.batexi.com/a/8kjm5459.html">CLOUD不审核修改物料</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/jqd2epx9.html">&lbrack;Java Web&rsqb; 3、WEB开发之HTML基础程序试手</a>
			</li>
						<li><a href="https://www.batexi.com/a/4qno1dx9.html">SignalR &plus; MVC5 简单示例</a>
			</li>
						<li><a href="https://www.batexi.com/a/5qykdkj9.html">AngularJS快速入门指南10：DOM节点</a>
			</li>
						<li><a href="https://www.batexi.com/a/e9prdw7q.html">C&num;与数据库访问技术总结（十五）之 DataAdapter对象代码示例</a>
			</li>
						<li><a href="https://www.batexi.com/a/e9prwxyq.html">js手风琴图片切换实现原理及函数分析</a>
			</li>
						<li><a href="https://www.batexi.com/a/1q245nx8.html">Atitit&period;研发管理---TOGAF架构跟 （ADM开发方法）总结</a>
			</li>
						<li><a href="https://www.batexi.com/a/0qw2ll3q.html">html-css样式表</a>
			</li>
						<li><a href="https://www.batexi.com/a/m8zwk2x8.html">js 导出Excel</a>
			</li>
						<li><a href="https://www.batexi.com/a/5qxv2rv9.html">phpstorm的安装和破解</a>
			</li>
						<li><a href="https://www.batexi.com/a/m96e7d4q.html">linux进程监控，monitor脚本</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
